from scipy import stats
import numpy as np
import matplotlib.pyplot as plt

Zahl_der_Experimente = 5000
Größe_der_Stichprobe = 1000

p_Werte = np.zeros(Zahl_der_Experimente)
for i in range(Zahl_der_Experimente):
    z = np.random.standard_normal(Größe_der_Stichprobe)  # oder z.B. +0.0234, um H0 zu verletzen
    p_Werte[i] = stats.ttest_1samp(z, 0.0).pvalue

Häufigkeiten = np.zeros(10)
for i in range(10):
    for p_Wert in p_Werte:
        if i/10 <= p_Wert < (i+1)/10:
            Häufigkeiten[i] += 1

plt.title("Zahl der p-Werte in jeder 10-Prozent-Gruppe")
plt.bar(range(10), Häufigkeiten)
plt.show()